/*
 * Copyright (C) 2002-2004 Red Hat Inc. All Rights Reserved.
 *
 * The contents of this file are subject to the CCM Public
 * License (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the
 * License at http://www.redhat.com/licenses/ccmpl.html.
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language
 * governing rights and limitations under the License.
 *
 */
package com.arsdigita.portal;

import com.arsdigita.kernel.ResourceTypeCollection;
import com.arsdigita.persistence.DataCollection;
import com.arsdigita.persistence.DataObject;

/**
 * 
 *
 * @see PortletType
 * @author Justin Ross
 */
public class PortletTypeCollection extends ResourceTypeCollection {

    public PortletTypeCollection(DataCollection dataCollection) {
        super(dataCollection);
    }

    public PortletType getPortletType() {
        DataObject dataObject = m_dataCollection.getDataObject();

        PortletType portletType = PortletType.retrievePortletType(dataObject);

        return portletType;
    }

    public String getProfile() {
        return (String)m_dataCollection.get("profile");
    }
}
